# Class NeighborJoiningTreeBuilder

java.lang.Object
jebl.evolution.trees.ClusteringTreeBuilder<Tree>
jebl.evolution.trees.NeighborJoiningTreeBuilder

All Implemented Interfaces:
  `TreeBuilder<Tree>`

public class NeighborJoiningTreeBuilder extends ClusteringTreeBuilder<Tree>
Constructs an unrooted tree by neighbor-joining using pairwise distances. Adapted from BEAST code.

Version:
  $Id: NeighborJoiningTreeBuilder.java 855 2007-12-11 04:04:18Z twobeers $
Author:
  Andrew Rambaut, Alexei Drummond, Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`NeighborJoiningTreeBuilder(DistanceMatrix distanceMatrix)`
construct NJ tree

## Method Summary

### Methods inherited from class ClusteringTreeBuilder

`addProgressListener, build, fireSetProgress, getBuilder, removeProgressListener`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NeighborJoiningTreeBuilder

public NeighborJoiningTreeBuilder(DistanceMatrix distanceMatrix)
construct NJ tree

Parameters:
  `distanceMatrix` - distance matrix